"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ok = void 0;
class Ok {
    static read(pbf, end) {
        return pbf.readFields(Ok._readField, { udp_port: 0 }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.udp_port = pbf.readVarint();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.udp_port)
                pbf.writeVarintField(1, obj.udp_port);
        }
    }
}
exports.Ok = Ok;
//# sourceMappingURL=Ok.js.map