"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopPlayback = void 0;
class StopPlayback {
    static read(pbf, end) {
        return pbf.readFields(StopPlayback._readField, { session_id: 0 }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.session_id = pbf.readVarint();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.session_id)
                pbf.writeVarintField(1, obj.session_id);
        }
    }
}
exports.StopPlayback = StopPlayback;
//# sourceMappingURL=StopPlayback.js.map