"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const connection_1 = require("./nest/connection");
const readline = __importStar(require("readline"));
const prompt = (query) => new Promise(async (resolve, reject) => {
    const rl = readline.createInterface({
        input: process.stdin,
        output: process.stdout,
    });
    try {
        rl.question(query, (value) => {
            resolve(value);
            rl.close();
        });
    }
    catch (err) {
        reject(err);
    }
});
(async () => {
    var _a, _b, _c, _d;
    const ft = process.argv.includes('-ft');
    const url = (0, connection_1.generateToken)(ft);
    console.log(`1. Open the url below in a browser to continue:\n\n${url}\n`);
    const code = await prompt('2. Copy the code here: ');
    try {
        const refreshToken = await (0, connection_1.getRefreshToken)(code, ft);
        console.log('3. Copy the refresh token below to your config.json.');
        console.log(`Refresh Token: ${refreshToken}`);
    }
    catch (err) {
        let msg = err;
        if ((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.error_description) {
            msg = (_d = (_c = err.response) === null || _c === void 0 ? void 0 : _c.data) === null || _d === void 0 ? void 0 : _d.error_description;
        }
        else if (err.message) {
            msg = err.message;
        }
        console.error(msg);
    }
})();
//# sourceMappingURL=login.js.map